<?php
function Addition($i,$j,&$somme) // Déclaration de la fonction
{echo "    --> Dans Addition() : ".PHP_EOL;;
 echo "        valeurs initiales : i=$i, j=$j".PHP_EOL;
 $somme=$i+$j;
}
$resultat=0;
echo "Entrez 2 entiers : ";
fscanf(STDIN,"%d %d",$a,$b);
// Appel de la fonction
echo "--- Appel de  Addition($a,$b,$res) ---".PHP_EOL;
Addition($a,$b,$resultat);
echo "--- Retour de l'appel ---".PHP_EOL;
echo "$a + $b = $resultat".PHP_EOL ;
?>
